[parted-devel] [PATCH]: Fix typo in privs-required test

Jim Meyering jim at meyering.net
Thu May 24 15:53:07 UTC 2007


It's been a while since I ran the privs-required test (t1100),
and running it again today, I found that it fails.  BTW, you can run
it like this, if you have a spare spindle (or USB key or flash disk)
with a capacity of at least 38MB:

  sudo env DEVICE_TO_ERASE=/dev/sde DEVICE_TO_ERASE_SIZE=999MB ./t1100-busy-label.sh

The DEVICE_TO_ERASE_SIZE must be exactly the same string that
"parted YOUR_DEVICE print" reports.

Here's the now-obvious fix:
------------------

	Fix typo in privs-required test setup.
	* tests/test-lib.sh: Fix typo: s/\$parted/$parted_/.

diff --git a/tests/test-lib.sh b/tests/test-lib.sh
index 59f85a4..050b967 100644
--- a/tests/test-lib.sh
+++ b/tests/test-lib.sh
@@ -223,8 +223,8 @@ if test $skip_ = 0 && test "$erasable_device_required_" != ''; then
   if test "$DEVICE_TO_ERASE" != '' && test "$DEVICE_TO_ERASE_SIZE" != ''; then
     dev_=$DEVICE_TO_ERASE
     sz=$DEVICE_TO_ERASE_SIZE
-    parted_output=$($parted -s $dev_ print) || fail="no such device: $dev_"
-    $parted -s $dev_ print|grep "^Disk $dev_: $sz$" \
+    parted_output=$($parted_ -s $dev_ print) || fail="no such device: $dev_"
+    $parted_ -s $dev_ print|grep "^Disk $dev_: $sz$" \
 	> /dev/null || fail="actual device size is not $sz"
     # Try to see if $dev_ or any of its partitions is mounted.
     # This is not reliable.  FIXME: find a better way.



More information about the parted-devel mailing list